Design Tables Overview

Dimensions of a solid model are stored as variables. In this form, dimensions can be linked to equations and tables that store different configurations of the same basic solid model geometry (shape). This is a powerful design approach.

In this tutorial you will first build a part and then use a Design Table to manipulate it and create different configurations.

  1. Create the LEGO Brick Part.
    1. Creating and Saving a New Part.
    2. Creating the Base.
    3. Creating the Stud.
    4. Creating the Hole.
    5. Positioning the Stud and Hole.
    6. Creating a Linear Pattern.
  2. Create and Use a Design Table.
    1. Naming Features
    2. Displaying and Naming Dimensions
    3. Inserting a Design Table
    4. Adding Dimensions to the Design Table
    5. Adding Configurations to the Design Table
    6. Viewing Configurations
    7. Editing the Design Table

Below, view images of the same base shaped object that has different dimensions to give the unique shape.

These are different configurations that will be built in one part file only using Design Tables:

← →

Next topic
Creating a New Part


Creating and Saving a New Part

Creating and Saving a Part Document

Open a new part document and save it as CCID_TutorialDT_LegoBrick.

In tutorials, click toolbar buttons with orange borders (for example [image] ) to flash the corresponding button in the Solidworks window.

  1. Click New [image] (Standard toolbar).
  2. In the New Solidworks Document dialogue box, click Advanced.

    (If the Advanced Dialogue box appears by default, skip ahead to the next step)

  3. In the New Solidworks Document dialogue box, click the MecE265 tab, and select MecE 265 Part Template.

    Click OK.

  4. Click Save [image] (Standard toolbar).
  5. In the dialogue box, type CCID_TutorialDT_LegoBrick for File name.
  6. Click Save.
Previous topic
Design Tables Overview
Next topic
Creating the Base


Creating the Base

In this page, you will create the base of the LEGO Brick by sketching the base then extruding it, and then define the material and appearance of the part.

  1. Click Extrude Boss/Base [image] (Features Toolbar).
  2. Select the Top Plane.
    A sketch opens on the Top Plane.
  3. Create the following sketch (note where the origin is):

  4. Click Exit Sketch [image] (Sketch Toolbar).
  5. In the PropertyManager, under Direction 1, set End Condition to Blind and depth to 9.6mm
  6. Assign a material:
    1. In the FeatureManager, right-click Material <not specified> and select Edit Material.
    2. Select ABS. Click Apply then Close.
  7. Click Edit Appearance (View toolbar). In the PropertyManager:
    1. Select the part in Geometry Section
    2. Select any bright red color in the Color Section

Previous topic
Creating a New Part
Next topic
Creating the Stud


Creating the Stud

On this page, you will create a stud on the top of the base.

  1. Click Extrude Boss/Base [image] (Features Toolbar).
  2. Select the top face of the base to sketch on.
  3. Sketch a circle with diameter 4.8mm at any position on the top of the base.

  4. Click Exit Sketch [image] (Sketch Toolbar).
  5. In the PropertyManager, under Direction 1, set End Condition to Blind and depth to 1.7mm. Click [image].

Previous topic
Creating the Base
Next topic
Creating a Hole


Creating the Hole

In this page, you will create a hole on the bottom of the base that is related to the stud on top using the Convert Entities feature.

  1. Click Extrude Cut [image] (Features Toolbar).
  2. Select the BOTTOM face of the base to sketch on.
  3. Click Convert Entities [image] (Sketch Toolbar).
  4. Select the edge of the stud previously created.

  5. Click [image]. A copy of the edge will be created in the sketch that is related to the edge of stud we used.

  6. Click Exit Sketch [image] (Sketch Toolbar).
  7. In the PropertyManager, under Direction 1, set End Condition to Blind and depth to 2mm. Click [image].
Previous topic
Creating the Stud
Next topic
Positioning the Stud and Hole


Positioning the Stud and Hole

Creating a Stud

In this page, you will be using relations to position the stud and hole on the brick.

  1. Select Boss-Extrude2, the extrude of the stud, click Edit Sketch, and then click Normal To [image] .
  2. Select the line sketch tool [image] . Under options in the PropertyManager select For construction.
  3. Add two construction lines as shown below and dimension them so that both are 3.9mm from the corner.

    4. Note: Construction Lines and Reference Geometry are often used to place features with precision. Unlike regular lines, construction lines are not actually part of your model. Be aware that construction lines will appear on drawings and must be hidden manually.
  4. Click Add Relation [image] .
  5. Click the center of the circle and the two centerlines, and then click Intersection [image].

  6. Click [image].
  7. Click Exit Sketch
  8. Notice that the hole also moved with the stud due to how they are related by Convert Entities.

Previous topic
Create a Hole
Next topic
Creating a Linear Pattern


Creating a Linear Pattern

In this page, you will use the linear pattern feature to pattern the stud and hole in two directions.

  1. Click Linear Pattern [image] (Features Toolbar).
  2. For Features and Faces select the stud and the hole.
  3. Under Direction 1:
    1. For Pattern Direction select one of the edges running along the length of the brick on the side nearest to the stud.
    2. If necessary, click Reverse Direction [image] so that the pattern is directed onto the brick.
    3. Select Up to Reference. The Reference Geometry selection box appears.
    4. For Reference Geometry select an edge running along the width of the brick on the side farthest from the stud.
    5. Set Spacing [image] to 8mm.

  4. Under Direction 2:
    1. For Pattern Direction select one of the edges running along the width of the brick on the side nearest to the stud.
    2. If necessary, click Reverse Direction [image] so that the pattern is directed onto the brick.
    3. Select Up to Reference. The Reference Geometry selection box appears.
    4. For Reference Geometry select an edge running along the length of the brick on the side farthest from the stud.
    5. Set Spacing [image] to 8mm.

  5. Under Options, select Geometry pattern.
  6. Click OK [image] and save the part.

Previous topic
Positioning the Stud and Hole
Next topic
Naming Features


Naming Features

In this page, you will rename some features so that they are easily identifiable.

  1. Navigate to the FeatureManager Design Tree and find the boss extrude for the stud.

  2. Click-Pause-Click on the boss extrude for the stud and rename it Stud.

  3. Repeat the previous step to rename:
    • The boss extrude for the base to Base.
    • The cut extrude for the hole to Hole.
Previous topic
Creating a Linear Pattern
Next topic
Displaying and Naming Dimensions


Displaying and Naming Dimensions

SOLIDWORKS automatically gives dimensions a veriable name, which generic, making it difficult to use.

On this page, you will learn how to view and name dimensions while editing a part. Giving a dimension a name allows them to be referenced and their value changed outside the model.

  1. Showing dimensions on the part:
    1. Right click Annotations [image] in the FeatureManager Design Tree.
    2. Select Show Feature Dimensions.
      Note: Feature dimensions on a part will frequently disappear from view, or sometimes only show up when your mouse hovers over them. These are not your errors.
  2. Naming the dimensions:
    1. Click View > Hide/Show > Dimension Names.

      The dimension names appear below the values in the model. Dimension names appear with default names. You can rename dimensions, similar to renaming features.

      Note: You may need to switch to Isometric or Front View to see all of the dimensions properly.
    2. Click the dimension of the width of the base, 15.8 (D2).
    3. In the PropertyManager that activated, under Primary Value, rename the dimension to Width.

      • Change the dimension of the length of the base, 31.8 (D1) to Length.
      • Change the dimension of the height of the studs, 1.7 (D1) to Stud_Height.
      • Change the dimension of the depth of the holes, 2 (D1) to Hole_Depth.
      • Change the dimension of the height of the base, 9.6 (D1) to Base_Height.

      Note: These 5 dimensions are the only 5 dimensions you need for the design table you will build. Other dimensions can be added as needed later. In the meantime, you can hide these to clean-up your work space by right clicking on them and selecting HIDE.

    4. Click [image]. Your part should look like this:

Previous topic
Naming Features
Next topic
Inserting a Design Table


Your tutorial title

Inserting a Design Table

In this page, you will insert a design table to control the shape of several solid models that all have the same basic shape.

A design table is an Excel worksheet that can control dimensions and configurations of a part. The worksheet has all the same functionality a regular Excel worksheet would have.

  1. In the menu bar, click Insert > Tables > Design Table
  2. In the PropertyManager:
    • Under Source, select Blank to insert a blank design table.
    • Under Edit Control, select Block model edits that would update the design table so you are not allowed to change the model if these changes would update the design table.
    • Under Options, clear New parameters and New configurations so that any changes you make to the model do not update the design table.

    Note: If a dialogue box title "Add Rows and Columns" appears, click OK without selecting anything. This adds other parameters to the design table that are not covered in this tutorial.
    Note: If you click outside of the spreadsheet window (the design table), it will automatically close. To re-open it, click the ConfigurationManager tab [image], expand Tables [image], right-click Design Table [image], and select Edit Table.
  3. Click [image].

    An Excel worksheet appears in the part document window. Excel toolbars replace the Solidworks toolbars. By default, the third row (cell A3) is named First Instance, which is the first configuration of the solid model. Also, the column header cell B2 is active.

    Note: The Excel worksheet can be dragged by clicking and dragging on the worksheet's dashed border, and can be resized by clicking and dragging the handles on the corners or sides of the border.

Previous topic
Displaying and Naming Dimensions
Next topic
Adding Dimensions to the Design Table


Your tutorial title

Adding Dimensions to the Design Table

To make the useful, we need to add only those dimensions that we would like to control/change.

In this page, you will insert dimentions into the design table.

  1. Click the Length dimension value (31.8) in the graphics area.

    The dimension name is inserted in cell B2 and the dimension value is inserted in cell B3.

    Note that the adjacent column header cell, C2, is activated automatically to accept the next dimension selection.

    Note: If the Modify dialog box appears, click [image]. The pointer changes to [image] when it is over a dimension value, and a tooltip with the dimension name appears briefly.
    Note: If you click outside of the spreadsheet window (the design table), it will automatically close. To re-open it, click the ConfigurationManager tab [image], expand Tables [image], right-click Design Table [image], and select Edit Table.

  2. Click each dimension value in the graphics area to insert the remaining dimensions into the worksheet. You should have the following dimensions in any order:
    • Width@Sketch1: 15.8
    • Base_Height@Base: 9.6
    • Length@Sketch1: 31.8
    • Stud_Height@Stud: 1.7
    • Hole_Depth@Hole: 2
Note: If you see $STATE@ followed by a feature name in a column header cell, you selected a face instead of a dimension value in the graphics area. To replace a feature name with a dimension name, click the cell in the worksheet, then double-click the correct dimension value in the graphics area.

The worksheet should now look similar to below:

Previous topic
Inserting a Design Table
Next topic
Adding Configurations to the Design Table


Your tutorial title

Adding Configurations to the Design Table

In this page, you will create two new configurations that will be automatically modelled.

  1. In the naming column, Column A, name cell A4 2x8, and cell A5 2x4_thin. These are two of the three new configurations you're going to make. To generate these, we need to make soem decissions on what the new shapes will looko like.
    Note: The default base height for the block is "Tall", 9.6mm, and the default stud height and hole depth are 1.7mm and 2mm respectively.

    The calculator provided below can be used to determine the values needed for the 2 new configurations.

    Inputs:

    Number of Studs Long: Number of Studs Wide: Tall or Thin:

    Outputs:

    Length = Width =
             Base Height =

    Note: The values are calculated as follows:
    • Height: 8mm*(Number of studs)-0.2mm
    • Width: 8mm*(Number of studs)-0.2mm
    • Stud Height: 1.7mm
    • Hole Depth: 2mm

    After adding these values, your worksheet should look similar to the one below:

    2. Note: You can insert equations in the cells which can be in terms of other dimensions present in the design table. This essentially creates what is called a Global Variable. Global variables are bi-directional, meaning that if two or more dimensions are defined in terms of a global variable, then changing any one of the dimensions will cause the others to change.
  2. Click anywhere outside the worksheet in the graphics area to close the worksheet. A dialogue box will appear, listing the new configurations.

  3. Click OK to close the message box.
  4. Save the part, and if SOLIDWORKS asks if you want to rebuild the part, click Yes.

Previous topic
Adding Dimensions to the Design Table
Next topic
Viewing Configurations


Viewing Configurations

You will now view all of the configurations that were made.

  1. Right-click the Annotations [image] folder in the FeatureManager design tree and click to clear the check mark next to Show Feature Dimensions.

    This hides all the dimensions.

  2. Click the ConfigurationManager tab [image] at the top of the FeatureManager design tree.

    The list of configurations appears as shown below.

  3. Double-click the names of each configuration.

    This will update the model desplayed to the selected configuration details.

    As you display each of the configurations, the part rebuilds using the dimensions for the selected configuration.
    ← →
Previous topic
Adding Configurations to the Design Table
Next topic
Editing Design Tables


Editing Design Tables

You will now make changes to your design table.

  1. Navigate to the ConfigurationManager tab and expand Tables [image].
  2. Right-click Design Table [image], and select Edit Table.

    This opens up the design table in the Solidworks document.

  3. In cell A6, enter 2x16_thin and use the calculator from the previous page to make a thin 2x16 brick with studs 0.5mm tall and holes 0.7mm deep.

  4. Close the design table.
  5. You should have a configuration like the one below:

Note: When using design tables, you may need to click Zoom to Fit [image] when returning to the Solidworks window.
Note: To delete the design table, right-click Design Table [image] and select Delete. In the dialog box, click Yes to delete the design table, or No to retain it.
Previous topic
Viewing Configurations
Next topic
Conclusion


99-99_Conclusion.htm

Conclusion

Congratulations! You have completed this tutorial.

Summary

The learning objectives of this tutorial were to introduce how to use design tables and create configurations, including:

  • Naming features/dimensions
  • Inserting a design table
  • Adding and viewing configurations
  • Editing the design table

Additional Resources

Solidworks Web Help (Design Tables)

Solidworks Web Help is the official online help website for Solidworks software. It contains detailed explanations and examples of all features available. Definitely a great resource if you need to use features and properties that are not mentioned in this tutorial.

Refer to the SOLIDWORKS original tutorials for more practice with related concepts:

  • Design Tables

Acknowledgements

This tutorial was planned and written by Alex Madsen and Christopher Taschuk under the directions of Dr. Nobes (2016). Property of the Mechanical Engineering Department, University of Alberta.

Previous topic
Editing Design Tables